<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.intlchar.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'es',
  ),
  'this' => 
  array (
    0 => 'intlchar.enumchartypes.php',
    1 => 'IntlChar::enumCharTypes',
  ),
  'up' => 
  array (
    0 => 'class.intlchar.php',
    1 => 'IntlChar',
  ),
  'prev' => 
  array (
    0 => 'intlchar.enumcharnames.php',
    1 => 'IntlChar::enumCharNames',
  ),
  'next' => 
  array (
    0 => 'intlchar.foldcase.php',
    1 => 'IntlChar::foldCase',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'es',
    'path' => 'reference/intl/intlchar/enumchartypes.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="intlchar.enumchartypes" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">IntlChar::enumCharTypes</h1>
  <p class="verinfo">(PHP 7, PHP 8)</p><p class="refpurpose"><span class="refname">IntlChar::enumCharTypes</span> &mdash; <span class="dc-title">Enumerar todos los puntos de código con sus categorías generales de Unicode</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-intlchar.enumchartypes-description">
  <h3 class="title">Descripción</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="modifier">static</span> <span class="methodname"><strong>IntlChar::enumCharTypes</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$callback</code></span>): <span class="type"><a href="language.types.void.php" class="type void">void</a></span></div>

  <p class="para rdfs-comment">
   Enumera de manera eficiente todos los puntos de código con sus categorías generales de Unicode. Esto es útil para construir
   estructuras de datos, para enumerar todos los puntos de código con asignación, etc.
  </p>
  <p class="para">
   Para cada rango contiguo de puntos de código con una categoría general dada («tipo de carácter»), se
   invoca a la función <code class="parameter">callback</code>. Rangos adyacentes poseen tipos diferentes. El Estándar de Unicode
   garantiza que el valor numérico del tipo está entre 0..31.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-intlchar.enumchartypes-parameters">
  <h3 class="title">Parámetros</h3>
  <dl>
   
    <dt><code class="parameter">callback</code></dt>
    <dd>
     <p class="para">
      La función a invocar para cada rango contiguo de puntos de código con la misma categoría general.
      Se le pasarán los siguientes tres argumentos:
      <ul class="simplelist">
       <li><span class="type"><a href="language.types.integer.php" class="type integer">integer</a></span> <code class="literal">$start</code> - El punto de código de inicio del rango</li>
       <li><span class="type"><a href="language.types.integer.php" class="type integer">integer</a></span> <code class="literal">$end</code> - El punto de código final del rango</li>
       <li><span class="type"><a href="language.types.integer.php" class="type integer">integer</a></span> <code class="literal">$name</code> - El tipo de categoría (una de las constantes <strong><code>IntlChar::CHAR_CATEGORY_*</code></strong>)</li>
      </ul>
     </p>
    </dd>
   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-intlchar.enumchartypes-returnvalues">
  <h3 class="title">Valores devueltos</h3>
  <p class="para">
   No devuelve ningún valor.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-intlchar.enumchartypes-examples">
  <h3 class="title">Ejemplos</h3>
  <div class="example" id="">
   <p><strong>Ejemplo #1 Enumeración de un rango de muestra de puntos de código</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />IntlChar</span><span style="color: #007700">::</span><span style="color: #0000BB">enumCharTypes</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$start</span><span style="color: #007700">, </span><span style="color: #0000BB">$end</span><span style="color: #007700">, </span><span style="color: #0000BB">$type</span><span style="color: #007700">) {<br />    </span><span style="color: #0000BB">printf</span><span style="color: #007700">(</span><span style="color: #DD0000">"U+%04x hasta U+%04x están en la categoría %d\n"</span><span style="color: #007700">, </span><span style="color: #0000BB">$start</span><span style="color: #007700">, </span><span style="color: #0000BB">$end</span><span style="color: #007700">, </span><span style="color: #0000BB">$type</span><span style="color: #007700">);<br />});<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>El resultado del ejemplo sería:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">U+0000 hasta U+0020 están en la categoría 15
U+0020 hasta U+0021 están en la categoría 12
U+0021 hasta U+0024 están en la categoría 23
U+0024 hasta U+0025 están en la categoría 25
U+0025 hasta U+0028 están en la categoría 23
U+0028 hasta U+0029 están en la categoría 20
U+0029 hasta U+002a están en la categoría 21
U+002a hasta U+002b están en la categoría 23
U+002b hasta U+002c están en la categoría 24
U+002c hasta U+002d están en la categoría 23
U+002d hasta U+002e están en la categoría 19
U+002e hasta U+0030 están en la categoría 23
U+0030 hasta U+003a están en la categoría 9
...</pre>
</div>
   </div>
  </div>
 </div>


</div><?php manual_footer($setup); ?>